%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global docs_version 20090622
%global gettext_package FontForge

Name:           fontforge
Version:        20090622
Release:        3.1%{?dist}
Summary:        Outline and bitmap font editor

Group:          Applications/Publishing
License:        BSD
URL:            http://fontforge.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fontforge/fontforge_full-%{version}.tar.bz2
Source1:        fontforge.desktop
Source2:        http://downloads.sourceforge.net/fontforge/fontforge_htdocs-%{docs_version}.tar.bz2
Source3:        fontforge.xml
Patch1:         fontforge-20090224-pythondl.patch
Patch2:		fontforge-20090224-multilib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       xdg-utils
Requires:       autotrace

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libungif-devel
BuildRequires:  libxml2-devel
BuildRequires:  freetype-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libuninameslist-devel
BuildRequires:  libXt-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  gettext
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  libspiro-devel
BuildRequires:  python-devel

%description
FontForge (former PfaEdit) is a font editor for outline and bitmap
fonts. It supports a range of font formats, including PostScript
(ASCII and binary Type 1, some Type 3 and Type 0), TrueType, OpenType
(Type2) and CID-keyed fonts.

%package devel
Summary: Development tools for fontforge
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes the libraries and header files you will need
to compile applications against fontforge.

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1
%patch2 -p0

mkdir htdocs
tar xjf %{SOURCE2} -C htdocs
rm -rf htdocs/scripts
chmod 644 htdocs/*.gif
chmod 644 htdocs/*.html
chmod 644 htdocs/*.png
rm -rf htdocs/flags/CVS

# Fix bad line terminators
%{__sed} -i 's/\r//' htdocs/Big5.txt
%{__sed} -i 's/\r//' htdocs/corpchar.txt

%build
export INSTALL='/usr/bin/install -p'
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure --with-freetype-bytecode=no --with-regular-link --enable-pyextension

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libg{draw,unicode}.{la,so}

install -Dpm 644 htdocs/ffanvil32.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/fontforge.png

desktop-file-install \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  %{SOURCE1}

# The fontforge makefiles install htdocs as well, but we
# prefer to have them under the standard RPM location, so
# remove the extra copy
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/fontforge

# remove unneeded .la and .a files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# Find translations
%find_lang %{gettext_package}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mime/packages

install -p %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/mime/packages/

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig


%files -f %{gettext_package}.lang
%defattr(0644,root,root,0755)
%doc AUTHORS LICENSE htdocs
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_libdir}/lib*.so.*
%{_datadir}/applications/*fontforge.desktop
%{_datadir}/fontforge
%{_datadir}/pixmaps/fontforge.png
%{_mandir}/man1/*.1*
%{_datadir}/mime/packages/fontforge.xml
%{python_sitearch}/fontforge-1.0-py2.6.egg-info
%{python_sitearch}/fontforge.so
%{python_sitearch}/psMat.so

%files devel
%defattr(0644,root,root,0755)
%{_includedir}/fontforge/
%attr(0755,root,root) %{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog

